## robustirc-bridge 1.8

=== Makefile ===
# Building with “go build” will work just fine.
# This file just exists to build Docker containers.

.PHONY: container

all:
	@echo This Makefile is only for building docker containers.
	@echo Please follow the instructions on http://robustirc.net for running the bridge.

container:
	(cd robustirc-bridge && go build)
	# This list is from go/src/crypto/x509/root_unix.go.
	install $(shell ls \
/etc/ssl/certs/ca-certificates.crt \
/etc/pki/tls/certs/ca-bundle.crt \
/etc/ssl/ca-bundle.pem \
/etc/ssl/cert.pem \
/usr/local/share/certs/ca-root-nss.crt \
/etc/pki/tls/cacert.pem \
/etc/certs/ca-certificates.crt \
2>&- | head -1) ca-certificates.crt
	docker build --rm -t=robustirc/bridge .

## robustirc-bridge 1.4

=== debian/changelog ===
robustirc-bridge (1.4-3) unstable; urgency=medium

  * init script: use --exec instead of --name to avoid problems when
    restarting (--name does not support names longer than 15 characters)
    (Thanks cradle)
  * debian/copyright: don’t define the same license twice

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 12 Aug 2015 22:50:23 +0200

robustirc-bridge (1.4-2) unstable; urgency=medium

  * When upgrading, do not stop/start robustirc-bridge.

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 10 May 2015 18:15:57 +0200

robustirc-bridge (1.4-1) unstable; urgency=medium

  * New upstream version.

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 01 May 2015 19:22:54 +0200

robustirc-bridge (1.3-1) unstable; urgency=medium

  * New upstream version.

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 06 Apr 2015 17:30:32 +0200

robustirc-bridge (1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 06 Apr 2015 14:01:25 +0200

robustirc-bridge (1.1-2) unstable; urgency=medium

  * init script: the bridge is installed in /usr/bin, not /usr/sbin

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 21 Mar 2015 14:45:21 +0100

robustirc-bridge (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #779531)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 01 Mar 2015 22:49:06 +0100

=== debian/control ===
Source: robustirc-bridge
Section: net
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org> 
Uploaders: Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper (>= 9), golang-go, dh-golang, golang-sorcix-irc-dev, dh-systemd
Standards-Version: 3.9.6
Homepage: http://robustirc.net/
Vcs-Git: git://anonscm.debian.org/users/stapelberg/robustirc-bridge.git
Vcs-Browser: http://anonscm.debian.org/cgit/users/stapelberg/robustirc-bridge.git/

Package: robustirc-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: bridge between IRC and RobustIRC
 The RobustIRC bridge allows you to connect to a RobustIRC network using your
 regular IRC client (such as irssi, WeeChat, XChat, etc).
 .
 It can be used as a SOCKS proxy for IRC clients which support SOCKS proxies,
 or it can be run for a specific RobustIRC network, in which case it will
 listen on a port (localhost:6667 by default) and talk IRC.

Package: golang-robustirc-bridge-dev
Section: devel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Go packages to connect to RobustIRC
 These Go packages can be used to write software that directly talks to a
 RobustIRC network without using a bridge. This code is also used by the
 robustirc-bridge, so it is reliable and comes with a stable API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DH_GOPKG := github.com/robustirc/bridge

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

%:
	dh $@ --buildsystem=golang --with=golang,systemd

## robustirc-bridge 1.5

=== debian/changelog ===
robustirc-bridge (1.5-1) unstable; urgency=medium

  * New upstream version.
  * Use secure VCS URLs in debian/control.
  * Update standards-version to 3.9.7 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 04 Jun 2016 19:04:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org> 
 Uploaders: Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper (>= 9), golang-go, dh-golang, golang-sorcix-irc-dev, dh-systemd
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://robustirc.net/
-Vcs-Git: git://anonscm.debian.org/users/stapelberg/robustirc-bridge.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/stapelberg/robustirc-bridge.git/
+Vcs-Git: https://anonscm.debian.org/git/users/stapelberg/robustirc-bridge.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/stapelberg/robustirc-bridge.git/
 
 Package: robustirc-bridge
 Architecture: any

## robustirc-bridge 1.7

=== debian/changelog ===
robustirc-bridge (1.7-2) unstable; urgency=medium

  * Switch to XS-Go-Import-Path
  * Fix trailing whitespace
  * Switch from obsolete priority extra to optional
  * d/copyright: use secure URI in Format
  * drop unused overrides
  * switch to debhelper 11
  * bump Standards-Version (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 09 Feb 2018 20:27:51 +0100

robustirc-bridge (1.7-1) unstable; urgency=medium

  * New upstream version 1.7
  * install new robustirc-bridge@.service
  * add dependency on lsb-base for the init script
  * bump standards-version to 3.9.8 (no changes necessary)
  * update lintian-overrides

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 08 Dec 2016 09:53:52 +0100

robustirc-bridge (1.5-2) unstable; urgency=medium

  * fix robustirc-bridge.init (patch by Axel Beckert) (closes: #833386)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 18 Aug 2016 21:05:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: robustirc-bridge
 Section: net
-Priority: extra
-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org> 
+Priority: optional
+Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>
-Build-Depends: debhelper (>= 9), golang-go, dh-golang, golang-sorcix-irc-dev, dh-systemd
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 11), golang-go, dh-golang, golang-sorcix-irc-dev
+Standards-Version: 4.1.3
 Homepage: http://robustirc.net/
 Vcs-Git: https://anonscm.debian.org/git/users/stapelberg/robustirc-bridge.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/stapelberg/robustirc-bridge.git/
+XS-Go-Import-Path: github.com/robustirc/bridge
 
 Package: robustirc-bridge
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Built-Using: ${misc:Built-Using}
 Description: bridge between IRC and RobustIRC
  The RobustIRC bridge allows you to connect to a RobustIRC network using your

## robustirc-bridge 1.8

=== debian/changelog ===
robustirc-bridge (1.8-1) unstable; urgency=medium

  * New upstream version 1.8
  * update vcs-*
  * update standards-version to 4.2.1 (no changes necessary)

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 10 Dec 2018 19:41:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper (>= 11), golang-go, dh-golang, golang-sorcix-irc-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://robustirc.net/
-Vcs-Git: https://anonscm.debian.org/git/users/stapelberg/robustirc-bridge.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/stapelberg/robustirc-bridge.git/
+Vcs-Git: https://salsa.debian.org/debian/robustirc-bridge.git
+Vcs-Browser: https://salsa.debian.org/debian/robustirc-bridge
 XS-Go-Import-Path: github.com/robustirc/bridge
 
 Package: robustirc-bridge

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bridge-$1\.tar\.gz/ \
  https://github.com/robustirc/bridge/tags .*/v?(\d\S*)\.tar\.gz
